View Issue Details

IDProjectCategoryView StatusLast Update
0025463mantisbtattachmentspublic2019-03-16 20:20
Reportercproensa Assigned Tocproensa  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version2.20.0 
Target Version2.20.0Fixed in Version2.20.0 
Summary0025463: Dropzone max-filesize option is not correct
Description

The option max-filesize for the file upload with Dropzone is not set correctly:

  • Only looks at config option max_file_size, but PHP setting also affects, as it's done for any other check in the file upload code.
  • The conversion from bytes to MB (10001024) is not correct . Dropzone.js actually uses 10241024
TagsNo tags attached.

Relationships

related to 0025452 closedcproensa there is no validation on $g_max_file_size 

Activities

There are no notes attached to this issue.

Related Changesets

MantisBT: master 613e8856

2019-02-09 14:02:08

cproensa


Committer: atrol Details Diff
Fix dropzone max file size setting

The maximum file size for uploads can be affected by both mantis
configuration and php settings.
Fix the setting of max size in dropzone object with the actual max size.

Encapsulate the method of calculation and refactor usages of
'max_file_size'.

Fixes: 0025463
Affected Issues
0025463
mod - api/soap/mc_file_api.php Diff File
mod - bug_report_page.php Diff File
mod - bugnote_add_inc.php Diff File
mod - config_defaults_inc.php Diff File
mod - core/file_api.php Diff File
mod - core/print_api.php Diff File
mod - plugins/XmlImportExport/pages/import.php Diff File
mod - proj_doc_add_page.php Diff File
mod - proj_doc_edit_page.php Diff File
mod - proj_doc_update.php Diff File

Issue History

Date Modified Username Field Change
2019-02-09 14:17 cproensa New Issue
2019-02-09 14:17 cproensa Status new => assigned
2019-02-09 14:17 cproensa Assigned To => cproensa
2019-02-09 14:38 cproensa Relationship added related to 0025452
2019-02-24 11:04 atrol Changeset attached => MantisBT master 613e8856
2019-02-24 11:04 cproensa Status assigned => resolved
2019-02-24 11:04 cproensa Resolution open => fixed
2019-02-24 11:04 cproensa Fixed in Version => 2.20.0
2019-02-24 11:05 atrol Target Version => 2.20.0
2019-03-05 17:04 cproensa Category ui => attachments
2019-03-16 20:20 vboctor Status resolved => closed